Subject: Re: bug#63627: Improve plstore.el and fix various issues of it

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Aug 2023 07:46:43 +0300

> Date: Wed, 30 Aug 2023 21:28:10 +0200
> Cc: [email-masked]
> From: Jens Schmidt <[email-masked]>
> 
> On 2023-05-31  14:54, Eli Zaretskii wrote:
> >> Date: Mon, 22 May 2023 22:11:19 +0200
> >> From:  Jens Schmidt via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >>
> >> All of these changes so far are doc fixes or message changes, none of 
> >> them touches any code.  Not sure whether they qualify for emacs-29, but 
> >> I guess it would be easier to have them there to have the diff context 
> >> ready for any following bug fixes.
> > 
> > Thanks, installed on the emacs-29 branch.
> 
> Next set of patches, I hope they are still eligible for emacs-29.
> 
> The first patch fixes more documentation and terminology issues in
> plstore.el, still without touching any code.  The second patch
> comprise ERT tests for plstore.el.  Since that requires interaction
> with GnuPG, these tests are rather platform-dependent.  Test setup
> should ensure that all tests are skipped if GnuPG is missing or not
> appropriate for the tests.

Documentation fixes are always welcome on the release branch.

As for tests: I don't really object, but what would be the purpose of
extending the test suite on the release branch? why not install that
on master instead?

> Please check.

What would you like me to check?